Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# SceneGraphAnalyzerMeter Class Reference

This is a special TextNode that automatically updates itself with output from a SceneGraphAnalyzer instance. More...

Inheritance diagram for SceneGraphAnalyzerMeter:

List of all members.

## Public Member Functions
| SceneGraphAnalyzerMeter (string name, PandaNode node)
| clearWindow ()
| Undoes the effect of a previous call to setup_window().
DisplayRegion | getDisplayRegion ()
| Returns the DisplayRegion that the meter has created to render itself into the window to setup_window(), or NULL if setup_window() has not been called.
PandaNode | getNode ()
| Returns the node to be analyzed.
double | getUpdateInterval ()
| Returns the number of seconds that will elapse between updates to the frame rate indication.
GraphicsOutput | getWindow ()
| Returns the GraphicsOutput that was passed to setup_window(), or NULL if setup_window() has not been called.
| setNode (PandaNode node)
| Sets the node to be analyzed.
| setUpdateInterval (double update_interval)
| Specifies the number of seconds that should elapse between updates to the meter.
| setupWindow (GraphicsOutput window)
| Sets up the frame rate meter to create a DisplayRegion to render itself into the indicated window.
| update ()
| You can call this to explicitly force the SceneGraphAnalyzerMeter to update itself with the latest scene graph analysis information.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is a special TextNode that automatically updates itself with output from a SceneGraphAnalyzer instance.

It can be placed anywhere in the world where you'd like to see the output from SceneGraphAnalyzer.

It also has a special mode in which it may be attached directly to a channel or window. If this is done, it creates a DisplayRegion for itself and renders itself in the upper-right-hand corner.

## Constructor & Destructor Documentation

SceneGraphAnalyzerMeter | ( | string | name,
|  | PandaNode | node
| ) |  |

## Member Function Documentation

clearWindow | ( |  | ) |

Undoes the effect of a previous call to setup_window().

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TextNode.

DisplayRegion getDisplayRegion | ( |  | ) |

Returns the DisplayRegion that the meter has created to render itself into the window to setup_window(), or NULL if setup_window() has not been called.

PandaNode getNode | ( |  | ) |

Returns the node to be analyzed.

double getUpdateInterval | ( |  | ) |

Returns the number of seconds that will elapse between updates to the frame rate indication.

GraphicsOutput getWindow | ( |  | ) |

Returns the GraphicsOutput that was passed to setup_window(), or NULL if setup_window() has not been called.

setNode | ( | PandaNode | node | ) |

Sets the node to be analyzed.

setUpdateInterval | ( | double | update_interval | ) |

Specifies the number of seconds that should elapse between updates to the meter.

This should be reasonably slow (e.g. 0.5 to 2.0) so that the calculation of the scene graph analysis does not itself dominate the frame rate.

setupWindow | ( | GraphicsOutput | window | ) |

Sets up the frame rate meter to create a DisplayRegion to render itself into the indicated window.

update | ( |  | ) |

You can call this to explicitly force the SceneGraphAnalyzerMeter to update itself with the latest scene graph analysis information.

Normally, it is not necessary to call this explicitly.

Reimplemented from TextNode.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties